Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605662 - package needs to be upgraded
package needs to be upgraded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-HTTP-DAV (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 10:01 EDT by Bill Pemberton
Modified: 2010-07-15 17:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-HTTP-DAV-0.40-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 13:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple perl script to demonstrate HTTP:DAV problem. (314 bytes, application/x-perl)
2010-06-18 10:01 EDT, Bill Pemberton
no flags Details

  None (edit)
Description Bill Pemberton 2010-06-18 10:01:13 EDT
Created attachment 425130 [details]
Simple perl script to demonstrate HTTP:DAV problem.

Description of problem:

The version of HTTP::DAV is old and needs to be upgraded.  Specifically, a simple login script, such as the example in the man page, will not work. If I update to the current version on CPAN, it works fine.

Version-Release number of selected component (if applicable):
0.35-5.fc13 

How reproducible:
every time

Steps to Reproduce:
1. set up a web dav server.  The most basic possible is just fine.
2. verify that it works with cadaver
3. change the user, url, and password in attached script to match your setup
4. run the script
  
Actual results:
Dies with "Unauthorized"

Expected results:
Logs into webdav and prints "It works"

Additional info:
If you then upgrade the HTTP::DAV module to 0.40 from CPAN, the script will work fine.
Comment 1 Fedora Update System 2010-06-21 05:10:44 EDT
perl-HTTP-DAV-0.40-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-HTTP-DAV-0.40-1.fc13
Comment 2 Fedora Update System 2010-06-21 05:21:55 EDT
perl-HTTP-DAV-0.40-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-HTTP-DAV-0.40-1.fc12
Comment 3 Fedora Update System 2010-06-21 05:26:45 EDT
perl-HTTP-DAV-0.40-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTTP-DAV-0.40-1.fc11
Comment 4 Fedora Update System 2010-06-21 17:30:50 EDT
perl-HTTP-DAV-0.40-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-DAV'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTTP-DAV-0.40-1.fc13
Comment 5 Fedora Update System 2010-06-21 17:43:13 EDT
perl-HTTP-DAV-0.40-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-DAV'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTTP-DAV-0.40-1.fc11
Comment 6 Fedora Update System 2010-06-21 17:45:07 EDT
perl-HTTP-DAV-0.40-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-DAV'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTTP-DAV-0.40-1.fc12
Comment 7 Fedora Update System 2010-07-07 13:34:38 EDT
perl-HTTP-DAV-0.40-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-07-15 17:06:20 EDT
perl-HTTP-DAV-0.40-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.